[arch-commits] Commit in vlc/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 21 10:30:59 EDT 2009


    Date: Thursday, May 21, 2009 @ 10:30:59
  Author: jgc
Revision: 39832

Merged revisions 39777 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/vlc/trunk

........
  r39777 | jgc | 2009-05-21 14:39:44 +0200 (Thu, 21 May 2009) | 2 lines
  
  upgpkg: vlc 0.9.9a-3
      Fix dependencies (when compiling with enable-hal, it should be in depends too. When compiling without dv, no need for libraw1394), rebuild for libdvdnav/libdvdread
........

Modified:
  vlc/repos/extra-i686/	(properties)
  vlc/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)


Property changes on: vlc/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /vlc/trunk:1-36151
   + /vlc/trunk:1-39830

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-21 14:30:54 UTC (rev 39831)
+++ extra-i686/PKGBUILD	2009-05-21 14:30:59 UTC (rev 39832)
@@ -4,17 +4,15 @@
 
 pkgname=vlc
 pkgver=0.9.9a
-pkgrel=2
+pkgrel=3
 pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player"
 arch=('i686' 'x86_64')
 url="http://www.videolan.org/vlc/"
 license=('GPL2')
-depends=('libmad' 'libmpeg2' 'ffmpeg>=0.5' 'x264>=20090416' 'fluidsynth' \
-         'libdvbpsi' 'fribidi' 'sysfsutils' 'libdvdnav' \
-         'libmatroska' 'zvbi' 'libdvdread' 'libmpcdec' \
-         'libdca' 'lirc-utils' 'libcddb' 'libraw1394' 'libproxy' \
-         'smbclient' 'taglib'  'libmodplug' 'avahi' 'libv4l' \
-         'sdl_image' 'libshout' 'lua' 'qt' 'a52dec' 'ttf-dejavu')
+depends=('libnotify' 'a52dec' 'fluidsynth' 'zvbi' 'libdvbpsi' 'lirc-utils' 'libdca' 'hal' 'libproxy'
+         'sdl_image' 'libdvdnav>=4.1.3' 'lua' 'libxv' 'libv4l' 'libcddb' 'smbclient' 'libmatroska'
+	 'taglib' 'sysfsutils' 'libmpcdec' 'ffmpeg>=0.5' 'libshout' 'libmad' 'qt' 'fribidi'
+	 'libmpeg2' 'libmodplug' 'avahi' 'ttf-dejavu')
 makedepends=('pkgconfig' 'live-media>=2009.02.23')
 optdepends=('libnotify')
 options=('!libtool' 'force')
@@ -49,8 +47,7 @@
               --enable-shout \
               --enable-pvr \
               --enable-release \
-              --program-suffix= \
-              --with-dv-raw1394=/usr/include/libraw1394 ${EXTRAFEATURES} || return 1
+              --program-suffix= || return 1
   CFLAGS="-fPIC"
   make || return 1
   make DESTDIR=${pkgdir}/ install || return 1



More information about the arch-commits mailing list